Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Static Public Member Functions | List of all members
meta::integer_sequence< T, Is > Struct Template Reference
Meta » Datatype » Integer sequence

## Description

### template<typename T, T... Is>
struct meta::integer_sequence< T, Is >

A container for a sequence of compile-time integer constants.

## Public Types
using | value_type = T

## Static Public Member Functions
static constexpr std::size_t | size () noexcept

## Member Function Documentation

## ◆ size()

template<typename T , T... Is>

static constexpr std::size_t meta::integer_sequence< T, Is >::size | ( |  | ) |
| static constexpr noexcept

Returns
  `sizeof...(Is)`